Bug 1306147 - Heketi should create a single LV per device
Heketi should create a single LV per device
Status: CLOSED NOTABUG
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: heketi (Show other bugs)
3.1
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Luis Pabón
Anush Shetty
: ZStream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-10 02:57 EST by Anush Shetty
Modified: 2016-11-08 17:25 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-18 12:04:29 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Anush Shetty 2016-02-10 02:57:32 EST
Description of problem: It is recommended for RHGS that there shouldn't be more than 1 LV/device. Currently, heketi dynamically creates logical volumes as and when volumes are created, and this could mean creating a more than one LVs per device.


Version-Release number of selected component (if applicable): heketi-1.0.2-1.el7rhgs.x86_64


How reproducible: Normal behaviour

Actual results: Creates multiple LVs/Device


Expected results: Recommended that there be only 1 LV/Device
Comment 2 Luis Pabón 2016-02-18 12:04:29 EST
This is not an issue.  I have checked both with Engineering and the performance team before starting the Heketi project, and they agreed that this was correct usage.

Note You need to log in before you can comment on or make changes to this bug.